Subject: Re: [PATCH 03/10] t4018: an infrastructure to test hunk headers

From: Junio C Hamano <[email-masked]>
Date: Sun, 23 Mar 2014 12:36:45 -0700

Johannes Sixt <[email-masked]> writes:

> I see what you mean. Notice, however, that we also test whether
> the regular expressions can be compiled successfully, and for this
> it is desirable to have the complete list of userdiff drivers.
> Until we have at least one test-case for each driver, we wouldn't
> get the complete list.

I missed the fact that we lack "here is a pair of test files in this
lang $p; go find diff between them and make sure we have the right
hunk header" for many $p.

So the kind of improvements I wondered about are allowed to come
later, but shouldn't be done in this series, especiallly not at this
step in the series.

Thanks.